﻿using Syncfusion.XForms.RichTextEditor;
using System;
using System.IO;
using Xamarin.Forms;

namespace Notes
{
    public partial class MainPage : ContentPage
    {
        string _fileName = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.LocalApplicationData), "notes.txt");
        private SfRichTextEditor RichTextEditor;

        public MainPage()
        {
            InitializeComponent();

            RichTextEditor = new SfRichTextEditor()
            {
                VerticalOptions = LayoutOptions.FillAndExpand,
                PlaceHolder = "Write your notes here!",
                BackgroundColor = Color.FromHex("#ff303030"),
                ToolbarSettings =
    {
        BackgroundColor = Color.FromHex("#ff303030"),
        // This setting seems to do nothing
        TextColor = Color.WhiteSmoke,
        ToolbarBackgroundColor = Color.FromHex("#ff303030")
    }
            };

            StackLayout.Children.Add(RichTextEditor);

            // this setting seems to do nothing
            RichTextEditor.SetFontColor("#ffffff");

            if (File.Exists(_fileName))
            {
                RichTextEditor.HtmlText = File.ReadAllText(_fileName);
            }
        }

        void OnSaveButtonClicked(object sender, EventArgs e)
        {
            File.WriteAllText(_fileName, RichTextEditor.HtmlText);
        }

        void OnDeleteButtonClicked(object sender, EventArgs e)
        {
            if (File.Exists(_fileName))
            {
                File.Delete(_fileName);
            }

            RichTextEditor.HtmlText = string.Empty;
        }
    }
}
